package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasDeviceInfoOperationLog;

import java.sql.Timestamp;
import java.util.List;

import cn.cecep.talroad.vo.query.FacilityInformationQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

/**
 * @className: BasDeviceInfoOperationLogMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:25
 * @Company: Copyright© [2023/04/28 17:25] by [Mr.Yanghongtao]
 **/
public interface BasDeviceInfoOperationLogMapper extends BaseMapper<BasDeviceInfoOperationLog> {
    int deleteByPrimaryKey(String logId);

    int insert(BasDeviceInfoOperationLog record);

    int insertOrUpdate(BasDeviceInfoOperationLog record);

    int insertOrUpdateSelective(BasDeviceInfoOperationLog record);

    int insertSelective(BasDeviceInfoOperationLog record);

    BasDeviceInfoOperationLog selectByPrimaryKey(String logId);

    int updateByPrimaryKeySelective(BasDeviceInfoOperationLog record);

    int updateByPrimaryKey(BasDeviceInfoOperationLog record);

    int updateBatch(List<BasDeviceInfoOperationLog> list);

    int updateBatchSelective(List<BasDeviceInfoOperationLog> list);

    int batchInsert(@Param("list") List<BasDeviceInfoOperationLog> list);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/28 15:29
     * @Deseription: 查询日志
     * @Params: null
     * @Return:
     * @Throws:
     */
    List<BasDeviceInfoOperationLog> selectListByParam(Page<BasDeviceInfoOperationLog> page,
                                                      @Param("dto") FacilityInformationQuery dto,
                                                      @Param("startTime") Timestamp startTime,
                                                      @Param("endTime") Timestamp endTime
    );

}